> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unifygtm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete record

> Delete a record by ID.

## Overview

The *delete* method permanently removes a record by its unique ID from the
specified object. This operation cannot be undone.

If the record doesn't exist, the API will return a 404 error. If the record is
referenced by other records, those other records will not be deleted, but their
reference to this record will be set to `null`.

## Examples

<AccordionGroup>
  <Accordion title="Delete a company record">
    This permanently deletes a company record:

    <CodeGroup>
      ```http Request theme={null}
      DELETE /objects/company/records/349b4a49-38b7-407d-aeee-db4ead1bbae2
      ```

      ```json Response theme={null}
      {
        "status": "success"
      }
      ```
    </CodeGroup>

    This removes the company permanently. Any people associated with this
    company will have their `company` attribute set to `null`.
  </Accordion>

  <Accordion title="Delete a custom record">
    This permanently deletes a record from a custom object:

    <CodeGroup>
      ```http Request theme={null}
      DELETE /objects/product_user/records/5ff35db4-20de-4a12-9eef-ca0e9cc24818
      ```

      ```json Response theme={null}
      {
        "status": "success"
      }
      ```
    </CodeGroup>

    This removes the record from the `product_user` object permanently.
  </Accordion>
</AccordionGroup>

## Usage


## OpenAPI

````yaml DELETE /objects/{object_name}/records/{record_id}
openapi: 3.1.0
info:
  title: Unify Data API
  summary: Interact with objects, attributes, and records within the Unify platform.
  version: '1'
  termsOfService: https://www.unifygtm.com/legal/terms-and-conditions
  contact:
    name: Unify Support
    url: https://www.unifygtm.com/support
    email: support@unifygtm.com
servers:
  - url: https://api.unifygtm.com/data/v1
    variables: {}
security:
  - ApiKeyAuth: []
tags:
  - name: Objects
  - name: Object Attributes
  - name: Object Attribute Options
  - name: Object Records
paths:
  /objects/{object_name}/records/{record_id}:
    delete:
      tags:
        - Object Records
      operationId: delete_object_record
      parameters:
        - name: object_name
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/UObjects.UObjectName'
        - name: record_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response for a successful delete operation.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                properties:
                  status:
                    type: string
                    enum:
                      - success
                description: Response for a successful delete operation.
        '400':
          description: Response for any operation that results in a bad request error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                properties:
                  status:
                    type: string
                    enum:
                      - bad_request
                  errors:
                    type: array
                    items:
                      $ref: '#/components/schemas/UResponses.BadRequestError'
                  message:
                    type: string
                description: >-
                  Response for any operation that results in a bad request
                  error.
        '401':
          description: Response for any operation that results in an unauthorized error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - unauthorized
                  message:
                    type: string
                description: >-
                  Response for any operation that results in an unauthorized
                  error.
        '404':
          description: Response for any operation that results in a not found error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - object_not_found
                      - record_not_found
                  message:
                    type: string
                description: Response for any operation that results in a not found error.
        '500':
          description: Response for any operation that results in an internal server error.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                description: >-
                  Response for any operation that results in an internal server
                  error.
        '503':
          description: Response for any operation that results in service unavailability.
          content:
            application/json:
              schema:
                type: object
                required:
                  - status
                  - message
                properties:
                  status:
                    type: string
                    enum:
                      - service_unavailable
                  message:
                    type: string
                description: >-
                  Response for any operation that results in service
                  unavailability.
components:
  schemas:
    UObjects.UObjectName:
      type: string
    UResponses.BadRequestError:
      type: object
      required:
        - code
      properties:
        code:
          type: string
        path:
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        object_api_name:
          type: string
        attribute_api_name:
          type: string
      allOf:
        - type: object
          unevaluatedProperties: {}
      description: Validation error detail returned for bad request responses.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````